Get your ledger
curl --request GET \
--url https://api.sx.bet/ledger-v3 \
--header 'x-sx-api-key: <api-key>'import requests
url = "https://api.sx.bet/ledger-v3"
headers = {"x-sx-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sx-api-key': '<api-key>'}};
fetch('https://api.sx.bet/ledger-v3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"entries": [
{
"eventType": "DEPOSIT",
"eventStatus": "SUCCESS",
"tokenAddress": "0x1BC6326EA6aF2aB8E4b6Bc83418044B1923b2956",
"escrowAddress": "0x007D30a86366EdA2a410a176329f991565d8CfA4",
"availableAmount": "514000007",
"pendingAvailableAmount": "-514000007",
"escrowedAmount": "0",
"pendingEscrowAmount": "0",
"transactionHash": "0x64307e2f35d0a81b0f44e9043e99cf01def3b2f079fb68cf2c5a942b88d95e9a",
"depositType": "FROM_EOA",
"createdAt": "2026-07-10T12:00:07.000Z"
},
{
"eventType": "DEPOSIT",
"eventStatus": "PENDING",
"tokenAddress": "0x1BC6326EA6aF2aB8E4b6Bc83418044B1923b2956",
"escrowAddress": "0x007D30a86366EdA2a410a176329f991565d8CfA4",
"availableAmount": "0",
"pendingAvailableAmount": "514000007",
"escrowedAmount": "0",
"pendingEscrowAmount": "0",
"depositType": "FROM_EOA",
"createdAt": "2026-07-10T12:00:00.000Z"
}
],
"nextKey": "eyJpZCI6IjQyIn0="
}
}{
"message": "Bad Request",
"statusCode": 400
}{
"message": "BAD_AUTH",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Service Unavailable",
"statusCode": 503
}Wallet & Funding
Get your ledger
Get your ledger from the SX Bet API.
GET
/
ledger-v3
Get your ledger
GET /ledger-v3 is an audit trail for your account. It lists all bets, inflows, and outflows.
| Event Type | Meaning |
|---|---|
DEPOSIT | Money in |
WITHDRAWAL | Money out |
SETTLEMENT | A bet settled |
PAYOUT | Winnings paid |
REFUND | Money returned — including capital-efficiency refunds |
ADJUSTMENT | A manual or corrective movement |
eventStatus — PENDING, SUCCESS, FAILED.
depositType — BRIDGE, FROM_EOA, PROXY_TO_PROXY.
withdrawalType — BRIDGE, PROXY_TO_PROXY.Authorizations
API key, sent as the x-sx-api-key header.
Query Parameters
Filter to a single event type.
Available options:
DEPOSIT, WITHDRAWAL, SETTLEMENT, PAYOUT, FEE, REFUND, ADJUSTMENT Rows per page.
Required range:
1 <= x <= 100Cursor from the previous response to continue pagination.
Last modified on August 26, 2026